## org.apache.solr.client.solrj.request
Enum UpdateRequest.ACTION

    java.lang.Object
      java.lang.Enum<UpdateRequest.ACTION>
          org.apache.solr.client.solrj.request.UpdateRequest.ACTION

All Implemented Interfaces:
  Serializable, Comparable<UpdateRequest.ACTION>

Enclosing class:
  UpdateRequest

Deprecated. Use `AbstractUpdateRequest.ACTION` instead

    @Deprecated
    public static enum UpdateRequest.ACTION

extends Enum<UpdateRequest.ACTION>

Kept for back compatibility.

Enum Constant Summary
`COMMIT` Deprecated.
`OPTIMIZE` Deprecated.

Method Summary
`static UpdateRequest.ACTION` `valueOf(String name)` Deprecated. Returns the enum constant of this type with the specified name.
`static UpdateRequest.ACTION[]` `values()` Deprecated. Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMMIT

    public static final UpdateRequest.ACTION COMMIT

  Deprecated.

### OPTIMIZE

    public static final UpdateRequest.ACTION OPTIMIZE

  Deprecated.

Method Detail

### values

    public static final UpdateRequest.ACTION[] values()

  Deprecated.
  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UpdateRequest.ACTION c : UpdateRequest.ACTION.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UpdateRequest.ACTION valueOf(String name)

  Deprecated.
  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name